## com.imcode.imcms.api
Class TestUserService

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.api.TestUserService

All Implemented Interfaces:
  junit.framework.Test

    public class TestUserService

extends junit.framework.TestCase

Nested Class Summary
`static class` `TestUserService.MockProcedureExecutor`

Constructor Summary
`TestUserService()`

Method Summary
`protected void` `setUp()`
`void` `testCreateNewRole()`
`void` `testGetRoleById()`
`void` `testGetRoleByName()`
`void` `testGetUser()`
`void` `testNewUserCanHaveRoles()`
`void` `testUserCanEditSelf()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestUserService

    public TestUserService()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testGetUser

    public void testGetUser()
                     throws NoPermissionException

  Throws:
    `NoPermissionException`

### testNewUserCanHaveRoles

    public void testNewUserCanHaveRoles()
                                 throws SaveException,
                                        NoPermissionException

  Throws:
    `SaveException`
    `NoPermissionException`

### testUserCanEditSelf

    public void testUserCanEditSelf()
                             throws SaveException,
                                    NoPermissionException

  Throws:
    `SaveException`
    `NoPermissionException`

### testCreateNewRole

    public void testCreateNewRole()
                           throws SaveException,
                                  NoPermissionException

  Throws:
    `SaveException`
    `NoPermissionException`

### testGetRoleByName

    public void testGetRoleByName()
                           throws NoPermissionException

  Throws:
    `NoPermissionException`

### testGetRoleById

    public void testGetRoleById()
                         throws NoPermissionException

  Throws:
    `NoPermissionException`